[RMX] scaler problem


#1

hej there,
i’m really enjoying the free RMX macros. especially the the harmoniser (nearly every day of my master thesis).

currently i’ve a problem with the scaler:
i do have three compatible masters and want to create small caps. within the two lighter masters scaling without losing stem-weights is working fine.
BUT when it comes to the black master, no scaling is affected. neither in the preview nore after hitting the ok-button. (for all masters, i’ve defined stems in the font-info)

hope you could help me out with this.


#2

… and right here an image of the problem:
rmx scaler problem


#3

The Scaler does not properly support three masters. We need to address this in a future update.


#4

thanks.
all right, so i do a workaround.


#5

Hi!
I work with Glyphs Version 2.4.4 (1075) and Font Remix Tools 1.1.3. Both in german.

The harmonizer is great, but every time I try to open the RMX Tuner it crashes. Without any warning or information.

And if I try to work with the RMX Scaler nothing happens. No preview, any result.
I tried it with two different fonts (including two masters) like shown in the tutorial video.

Hope someone can help me. Thank you!

Markus


#6

Have you send a crash report (the one that comes up when you restart the app)?

And can you try the latest Cutting edge (Vorab) version) (activate it in Preferences > Updates).


#7

Hi Georg, thank you for your reply. Yes, I sent a crash report. I will try to install the Cutting edge version.


#8

Seems I even have the newest versions. Where can I find cutting edge versions?


#9

You need to activate it in Preferences > Updates.


#10

Sorry! Now I found it :wink:


#11

There is still the same problem.


#12

Hallo Georg,

bitte verzeih, dass ich jetzt auf Deutsch schreibe …

Nachdem alle zusätzlichen Plugins in der Betaversion nicht mehr angezeigt wurden, habe ich die reguläre Gylphs-Version wieder installiert. Alle Plugins gelöscht und neu installiert. Die RMX-Tools werden angezeigt, aber die übrigen Plugins werden nicht mehr angeboten, obwohl sie in den Einstellungen unter Plugins aufgeführt sind.

Bei den Problemen mit RMX Scaler und RMX Tuner ist leider alles wie bisher.

Einen kompletten Neustart des Rechners habe ich auch schon gemacht. Ich bin mitten in einem Schriftenprojekt und stehe nun ratlos und schon etwas verzweifelt da.

Woran kann das alles nur liegen?

Viele Grüße
Markus



#13

Einige schon: z.B. ist Null-Anfasser beheben die dt. Übersetzung von Fix Zero Handles.

Bei den übrigen müsste entweder eine Fehlermeldung im Macro-Fenster oder in der Konsole (findest du in den Dienstprogrammen) auftauchen.

Probeweise mal bei einem Plugin, z.B. Heatmap in Fenster > Plugin-Manager noch einmal deinstallieren, gleich wieder installieren, App neustarten.


#14

Deinstallieren, neu installieren und neu starten hat leider nichts gebracht. :frowning:


#15

Weiß jemand, wie man Glyphs sauber deinstalliert? Vielleicht hilft es ja, komplett neu zu installieren.


#16

Was steht in der Konsole, wenn du Glyphs startest? Da müssten Fehlermeldungen für die Plugins auftauchen, die nicht laden.

Hast du schon einmal die Lokalisierung ausgestellt? In Einstellungen > Benutzer, die vorletzte Checkbox.


#17

Erst mal herzlichen Dank für Deine Hilfe!

Hier ist der Text aus der Konsole. Da gibt es wohl Probleme mit der Dateizuordnung. Der letzte Absatz wird rot angezeigt.

Exception in word-o-mat import:
------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Repositories/word-o-mat/word-o-mat.glyphsPlugin/Contents/Resources/plugin.py", line 22, in <module>
    from robofab.world import CurrentFont
  File "/Library/Python/2.7/site-packages/robofab/world.py", line 89, in <module>
    world = RFWorld()
  File "/Library/Python/2.7/site-packages/robofab/world.py", line 43, in __init__
    import objectsGS
  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Scripts/objectsGS.py", line 42, in <module>
    if type(GSElement.parent) != type(GSGlyph.parent):
NameError: name 'GSElement' is not defined
------------------------------------------------------------
Exception in word-o-mat import:
------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Repositories/word-o-mat/word-o-mat.glyphsPlugin/Contents/Resources/plugin.py", line 34, in <module>
    from objectsGS import RFont
  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Scripts/objectsGS.py", line 42, in <module>
    if type(GSElement.parent) != type(GSGlyph.parent):
NameError: name 'GSElement' is not defined
------------------------------------------------------------
**Traceback (most recent call last):**
**  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Repositories/DeleteShortSegments/DeleteShortSegments.glyphsFilter/Contents/Resources/../MacOS/main.py", line 11, in <module>**
**    _run('plugin.py')**
**  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Repositories/DeleteShortSegments/DeleteShortSegments.glyphsFilter/Contents/Resources/../MacOS/main.py", line 9, in _run**
**    execfile(path, globals(), globals())**
**  File "/Users/markusweissenhorn/Library/Application Support/Glyphs/Repositories/DeleteShortSegments/DeleteShortSegments.glyphsFilter/Contents/Resources/plugin.py", line 81**
**    maxLength min( 0.1, maxLength )**
**                ^**
**SyntaxError: invalid syntax**

#18

Please update the modules from Preferences > Addons > Modules.